Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class CareReceiverDetailType

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.CareReceiverDetailType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ExtCareReceiverDetailType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:32:56+02:00",
               comments="JAXB RI v2.2.11")
    public class CareReceiverDetailType

extends Object
implements Serializable

Java class for CareReceiverDetailType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CareReceiverDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Inss" type="{urn:be:cin:mycarenet:1.0:carenet:types}InssType" minOccurs="0"/>
             <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Birthday" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Deceased" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Sex" type="{urn:be:cin:mycarenet:1.0:carenet:types}SexType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CareReceiverDetailType()`

Method Summary
`org.joda.time.DateTime` | `getBirthday()` Gets the value of the birthday property.
`org.joda.time.DateTime` | `getDeceased()` Gets the value of the deceased property.
`String` | `getFirstName()` Gets the value of the firstName property.
`String` | `getInss()` Gets the value of the inss property.
`String` | `getLastName()` Gets the value of the lastName property.
`SexType` | `getSex()` Gets the value of the sex property.
`void` | `setBirthday(org.joda.time.DateTime value)` Sets the value of the birthday property.
`void` | `setDeceased(org.joda.time.DateTime value)` Sets the value of the deceased property.
`void` | `setFirstName(String value)` Sets the value of the firstName property.
`void` | `setInss(String value)` Sets the value of the inss property.
`void` | `setLastName(String value)` Sets the value of the lastName property.
`void` | `setSex(SexType value)` Sets the value of the sex property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CareReceiverDetailType

    public CareReceiverDetailType()

Method Detail

### getInss

    public String getInss()

  Gets the value of the inss property.

  Returns:
    possible object is `String`

### setInss

    public void setInss(String value)

  Sets the value of the inss property.

  Parameters:
    `value` - allowed object is `String`

### getFirstName

    public String getFirstName()

  Gets the value of the firstName property.

  Returns:
    possible object is `String`

### setFirstName

    public void setFirstName(String value)

  Sets the value of the firstName property.

  Parameters:
    `value` - allowed object is `String`

### getLastName

    public String getLastName()

  Gets the value of the lastName property.

  Returns:
    possible object is `String`

### setLastName

    public void setLastName(String value)

  Sets the value of the lastName property.

  Parameters:
    `value` - allowed object is `String`

### getBirthday

    public org.joda.time.DateTime getBirthday()

  Gets the value of the birthday property.

  Returns:
    possible object is `String`

### setBirthday

    public void setBirthday(org.joda.time.DateTime value)

  Sets the value of the birthday property.

  Parameters:
    `value` - allowed object is `String`

### getDeceased

    public org.joda.time.DateTime getDeceased()

  Gets the value of the deceased property.

  Returns:
    possible object is `String`

### setDeceased

    public void setDeceased(org.joda.time.DateTime value)

  Sets the value of the deceased property.

  Parameters:
    `value` - allowed object is `String`

### getSex

    public SexType getSex()

  Gets the value of the sex property.

  Returns:
    possible object is `SexType`

### setSex

    public void setSex(SexType value)

  Sets the value of the sex property.

  Parameters:
    `value` - allowed object is `SexType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPODOLOGIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.